Index: protocols/oscar/snac.c
===================================================================
--- protocols/oscar/snac.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/snac.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -1,9 +1,9 @@
 /*
  *
- * Various SNAC-related dodads... 
+ * Various SNAC-related dodads...
  *
  * outstanding_snacs is a list of aim_snac_t structs.  A SNAC should be added
  * whenever a new SNAC is sent and it should remain in the list until the
- * response for it has been receieved.  
+ * response for it has been receieved.
  *
  * cleansnacs() should be called periodically by the client in order
@@ -24,11 +24,13 @@
 	int i;
 
-	for (i = 0; i < AIM_SNAC_HASH_SIZE; i++)
+	for (i = 0; i < AIM_SNAC_HASH_SIZE; i++) {
 		sess->snac_hash[i] = NULL;
+	}
 
 	return;
 }
 
-aim_snacid_t aim_cachesnac(aim_session_t *sess, const guint16 family, const guint16 type, const guint16 flags, const void *data, const int datalen)
+aim_snacid_t aim_cachesnac(aim_session_t *sess, const guint16 family, const guint16 type, const guint16 flags,
+                           const void *data, const int datalen)
 {
 	aim_snac_t snac;
@@ -40,9 +42,11 @@
 
 	if (datalen) {
-		if (!(snac.data = g_malloc(datalen)))
+		if (!(snac.data = g_malloc(datalen))) {
 			return 0; /* er... */
+		}
 		memcpy(snac.data, data, datalen);
-	} else
+	} else {
 		snac.data = NULL;
+	}
 
 	return aim_newsnac(sess, &snac);
@@ -58,9 +62,11 @@
 	int index;
 
-	if (!newsnac)
+	if (!newsnac) {
 		return 0;
+	}
 
-	if (!(snac = g_malloc(sizeof(aim_snac_t))))
+	if (!(snac = g_malloc(sizeof(aim_snac_t)))) {
 		return 0;
+	}
 	memcpy(snac, newsnac, sizeof(aim_snac_t));
 	snac->issuetime = time(NULL);
@@ -68,6 +74,6 @@
 	index = snac->id % AIM_SNAC_HASH_SIZE;
 
-	snac->next = (aim_snac_t *)sess->snac_hash[index];
-	sess->snac_hash[index] = (void *)snac;
+	snac->next = (aim_snac_t *) sess->snac_hash[index];
+	sess->snac_hash[index] = (void *) snac;
 
 	return snac->id;
@@ -75,5 +81,5 @@
 
 /*
- * Finds a snac structure with the passed SNAC ID, 
+ * Finds a snac structure with the passed SNAC ID,
  * removes it from the list/hash, and returns a pointer to it.
  *
@@ -81,5 +87,5 @@
  *
  */
-aim_snac_t *aim_remsnac(aim_session_t *sess, aim_snacid_t id) 
+aim_snac_t *aim_remsnac(aim_session_t *sess, aim_snacid_t id)
 {
 	aim_snac_t *cur, **prev;
@@ -88,10 +94,11 @@
 	index = id % AIM_SNAC_HASH_SIZE;
 
-	for (prev = (aim_snac_t **)&sess->snac_hash[index]; (cur = *prev); ) {
+	for (prev = (aim_snac_t **) &sess->snac_hash[index]; (cur = *prev); ) {
 		if (cur->id == id) {
 			*prev = cur->next;
 			return cur;
-		} else
+		} else {
 			prev = &cur->next;
+		}
 	}
 
@@ -114,10 +121,11 @@
 		time_t curtime;
 
-		if (!sess->snac_hash[i])
+		if (!sess->snac_hash[i]) {
 			continue;
+		}
 
 		curtime = time(NULL); /* done here in case we waited for the lock */
 
-		for (prev = (aim_snac_t **)&sess->snac_hash[i]; (cur = *prev); ) {
+		for (prev = (aim_snac_t **) &sess->snac_hash[i]; (cur = *prev); ) {
 			if ((curtime - cur->issuetime) > maxage) {
 
@@ -128,6 +136,7 @@
 				g_free(cur);
 
-			} else
+			} else {
 				prev = &cur->next;
+			}
 		}
 	}
